#include <me218_c32.h>
#include <stdio.h>
#include <timers12.h>
#include "PWMS12.h"
#include "BITDEFS.h"
#include "ADS12.h"

#define ONESEC 250
/*---------------- Module Code -----------------------------*/

void main (void)
{
  int v;
  /*Initialize M port 4 to control resetting the beacon sensing circuit*/
  DDRM |= BIT4HI;//Initialize PortM0 to be an output           
  //reset the beacon sensing circuit
  PTM |= BIT4HI;
  PTM &= BIT4LO;
  
    
  TMRS12_Init(TMRS12_RATE_4MS);      
  /*Initialize AD port 0 to be an analog input*/
  if(ADS12_Init("OOOOOOOA")==ADS12_OK){
    printf("successfully initiated ADS12");
  }else {
    printf("ADS12 failed\r\n");
    return;
  }  
  
  TMRS12_InitTimer(0, ONESEC/100);    
  /* enter an infinite loop and handle the events */
	while (1) {	
		//reset the beacon sensing circuit
    if(TMRS12_IsTimerExpired(0)) {
      TMRS12_InitTimer(0, ONESEC/100);                    
      PTM |= BIT4HI;
      PTM &= BIT4LO;
  		v = ADS12_ReadADPin(0);
  		printf("Port AD0 reads %d \n\r",v);
    }
	}
}
